Objects
CardFileUpsertForm
File for PUT /v1/cards-by-external-id/{external_id}. The form and the file checks are the same as for POST /v1/cards. If the card does not exist, it is created. If it exists, the file replaces the content with a new version when it changed. The collection and folder apply only when the card is created.
Fields
filestring (application/octet-stream)requiredtitlestring | nullCard title. If not passed, a new card gets the file name and an existing card keeps its title.
length ≤ 200
collectionstringcollection_idinteger | nullfolder_idstring | nulllength ≤ 64
tagsstringComma-separated tags.
owner_idinteger | nullverify_interval_daysinteger | nullcategorystring | nullsensitiveboolean | nullmetadatastring | nullmetadata: a JSON object as the value of the form field. The rules are those ofMetadataPatch.asyncbooleanDefault: false